Main Page | Directories | File List | File Members | Related Pages

# Node.c File Reference

`#include "party.h"`

Include dependency graph for Node.c:

Go to the source code of this file.

## Functions
void | C_prediction (const double *y, int n, int q, const double *weights, const double sweights, double *ans)
void | C_Node (SEXP node, SEXP learnsample, SEXP weights, SEXP fitmem, SEXP controls, int TERMINAL)
SEXP | R_Node (SEXP learnsample, SEXP weights, SEXP fitmem, SEXP controls)

## Detailed Description

Node computations

Author:
  Author
    hothorn

Date:
  Date
    2005-10-19 16:40:43 +0200 (Wed, 19 Oct 2005)

Definition in file Node.c.

## Function Documentation

void C_Node | ( | SEXP | node,
|  | SEXP | learnsample,
|  | SEXP | weights,
|  | SEXP | fitmem,
|  | SEXP | controls,
|  | int | TERMINAL
| ) |

  | The main function for all node computations Parameters:
  | node | an initialized node (an S3 object!)
  | learnsample | an object of class `LearningSample'
  | weights | case weights
  | fitmem | an object of class `TreeFitMemory'
  | controls | an object of class `TreeControl'
  | TERMINAL | logical indicating if this node will be a terminal node
Definition at line 48 of file Node.c. References C_GlobalTest(), C_init_nominalsplit(), C_init_orderedsplit(), C_max(), C_prediction(), C_split(), C_splitcategorical(), C_standardize(), C_whichmax(), get_dimension(), get_gtctrl(), get_levels(), get_mincriterion(), get_minsplit(), get_ninputs(), get_nobs(), get_ordering(), get_savesplitstats(), get_splitctrl(), get_splitstatistics(), get_tgctrl(), get_tol(), get_transformation(), get_varctrl(), get_variable(), get_varmemory(), get_weights(), has_missings(), is_nominal(), is_ordinal(), ncol(), PL2_covarianceSym, PL2_expcovinfSym, PL2_expectationSym, PL2_inputsSym, PL2_jointtransfSym, PL2_linearstatisticSym, PL2_linexpcov2sampleSym, PL2_responsesSym, PL2_scoresSym, PL2_sumweightsSym, S3get_criterion(), S3get_maxcriterion(), S3get_prediction(), S3get_primarysplit(), S3get_splitpoint(), S3get_splitstatistics(), S3get_table(), S3get_teststat(), S3set_nodeterminal(), and S3set_variableID(). Referenced by C_TreeGrow(), and R_Node(). Here is the call graph for this function:

void C_prediction | ( | const double * | y,
|  | int | n,
|  | int | q,
|  | const double * | weights,
|  | const double | sweights,
|  | double * | ans
| ) |

  | Compute prediction of a node Parameters:
  | y | the response variable (raw numeric values or dummy encoded factor)
  | n | number of observations
  | q | number of columns of y
  | weights | case weights
  | sweights | sum of case weights
  | ans | return value; the q-dimensional predictions
Definition at line 22 of file Node.c. Referenced by C_Node().

SEXP R_Node | ( | SEXP | learnsample,
|  | SEXP | weights,
|  | SEXP | fitmem,
|  | SEXP | controls
| ) |

  | R-interface to C_Node Parameters:
  | learnsample | an object of class `LearningSample'
  | weights | case weights
  | fitmem | an object of class `TreeFitMemory'
  | controls | an object of class `TreeControl'
Definition at line 233 of file Node.c. References C_init_node(), C_Node(), get_maxsurrogate(), get_ninputs(), get_nobs(), get_splitctrl(), ncol(), NODE_LENGTH, PL2_jointtransfSym, and PL2_responsesSym. Here is the call graph for this function: